package eu.mhsl.craftattack.spawn.appliances.snowballKnockback;

import eu.mhsl.craftattack.spawn.appliance.Appliance;
import org.bukkit.entity.LivingEntity;
import org.bukkit.event.Listener;
import org.bukkit.util.Vector;
import org.jetbrains.annotations.NotNull;

import java.util.List;

public class SnowballKnockback extends Appliance {
    public void dealKnockback(LivingEntity entity, Vector velocityVector, double strength, double damage) {
        entity.damage(damage);
        entity.knockback(strength, -velocityVector.getX(), -velocityVector.getZ());
    }

    @Override
    @NotNull
    protected List<Listener> listeners() {
        return List.of(new SnowballKnockbackListener());
    }
}
